<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
		XSLT-Stylesheet responsible for transforming gbXML to RDF/OWL
		Author: Mario J. Kofler
		Date: May 2013
		Version: 0.3
		Description: 
		Master File to transform information of the gbXML schema to a RDF/OWL schema
	 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-->

<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:xsd="http://www.w3.org/2001/XMLSchema"
				xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
				xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
				xmlns:owl="http://www.w3.org/2002/07/owl#"
				xmlns:fkt="https://www.auto.tuwien.ac.at/mkofler/functions"
				xmlns:BuildingOntology="https://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/BuildingOntology.owl#"
				xmlns:ontology="https://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/"
				xmlns:saxon="http://saxon.sf.net/"
				extension-element-prefixes="saxon"
				exclude-result-prefixes="fkt xsd">
			
<xsl:include href="./functions/functionsGeneral.xsl" />
<xsl:include href="./properties/properties.xsl" />
<xsl:include href="./classes/classes.xsl" />

<xsl:output 
			indent="yes"
			omit-xml-declaration="no"
			encoding="UTF-8"/>

<xsl:template match="/">
	<xsl:text disable-output-escaping="yes">
		&lt;!DOCTYPE rdf:RDF [
    	&lt;!ENTITY owl &quot;http://www.w3.org/2002/07/owl#&quot; &gt;
    	&lt;!ENTITY xsd &quot;http://www.w3.org/2001/XMLSchema#&quot; &gt;
    	&lt;!ENTITY rdfs &quot;http://www.w3.org/2000/01/rdf-schema#&quot; &gt;
    	&lt;!ENTITY rdf &quot;http://www.w3.org/1999/02/22-rdf-syntax-ns#&quot; &gt;
    	&lt;!ENTITY BuildingOntology &quot;https://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/BuildingOntology.owl#&quot; &gt;
    	&lt;!ENTITY ontology &quot;https://www.auto.tuwien.ac.at/thinkhome/ontology/&quot; &gt;
		]&gt;
	</xsl:text>

	<rdf:RDF xmlns="https://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/BuildingOntology.owl#"
		 xml:base="https://www.auto.tuwien.ac.at/downloads/thinkhome/ontology/BuildingOntology.owl#">

	<!-- re-declaring the namespace so that it looks like as it is needed in RDF/XML -->
	<xsl:namespace name="xsd" select="'http://www.w3.org/2001/XMLSchema#'"/>

    	<owl:Ontology rdf:about=""/>

		<!-- apply templates to create RDF/XML model -->
		<xsl:apply-templates select="xsd:schema" mode="class"/>
   	</rdf:RDF>	  

</xsl:template>

<xsl:template match="xsd:*">
  <xsl:element name="{name()}" namespace="http://www.w3.org/2001/XMLSchema#">
    <xsl:apply-templates select="@* | node()"/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
